From 4e63a6caf56165eaf51a93bdf85473ac3a027e82 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Sabri=20=C3=9Cnal?= <libreajans@gmail.com>
Date: Fri, 6 Jan 2023 03:57:04 +0300
Subject: [PATCH 09/11] data: use Quotetion Mark for blp files

A lot of GNOME apps uses quotation mark in blp files
and avoids apostrophes.
---
 data/ui/headerbar.blp                      | 48 +++++++++++-----------
 data/ui/monitors_flowbox_item.blp          |  6 +--
 data/ui/shortcutsWindow.blp                | 16 ++++----
 data/ui/wallpaper_flowbox_item.blp         |  2 +-
 data/ui/wallpaper_flowbox_item_popover.blp |  8 ++--
 data/ui/wallpapers_flowbox.blp             |  4 +-
 data/ui/wallpapers_folders_view.blp        | 24 +++++------
 data/ui/wp_mode_popover_menu.blp           | 16 ++++----
 8 files changed, 62 insertions(+), 62 deletions(-)

diff --git a/data/ui/headerbar.blp b/data/ui/headerbar.blp
index 0d87336..95df78d 100644
--- a/data/ui/headerbar.blp
+++ b/data/ui/headerbar.blp
@@ -3,13 +3,13 @@ using Adw 1;
 
 menu generalMenu {
     section {
-        item (_('Single Spanned Wallpaper Mode'), 'app.spanned_mode')
-        item (_('Set Random Wallpapers'), 'app.set_random_wallpaper')
+        item (_("Single Spanned Wallpaper Mode"), "app.spanned_mode")
+        item (_("Set Random Wallpapers"), "app.set_random_wallpaper")
     }
     section {
-        item (_('Preferences'), 'app.settings')
-        item (_('Shortcuts'), 'app.shortcuts')
-        item (_('About HydraPaper'), 'app.about')
+        item (_("Preferences"), "app.settings")
+        item (_("Keyboard Shortcuts"), "app.shortcuts")
+        item (_("About HydraPaper"), "app.about")
     }
 }
 
@@ -25,45 +25,45 @@ template GHeaderbar : WindowHandle {
             Label nobox {}
         }
         ToggleButton wallpaper_folders_btn {
-            tooltip-text: _('Wallpaper Folders');
-            icon-name: 'folder-symbolic';
+            tooltip-text: _("Wallpaper Folders");
+            icon-name: "folder-symbolic";
             toggled => on_wallpaper_folders_btn_clicked();
         }
         ToggleButton search_toggle {
-            tooltip-text: _('Search');
-            icon-name: 'system-search-symbolic';
+            tooltip-text: _("Search");
+            icon-name: "system-search-symbolic";
         }
         [end] MenuButton menu_btn {
-            tooltip-text: _('Menu');
-            icon-name: 'open-menu-symbolic';
+            tooltip-text: _("Menu");
+            icon-name: "open-menu-symbolic";
             menu-model: generalMenu;
         }
         [end] Box {
-            styles ['linked']
+            styles ["linked"]
             orientation: horizontal;
             valign: center;
             Button apply_dark_btn {
-                tooltip-text: _('Apply for Dark Mode');
-                icon-name: 'apply-dark-symbolic';
+                tooltip-text: _("Apply for Dark Mode");
+                icon-name: "apply-dark-symbolic";
                 clicked => on_apply_dark_btn_clicked();
             }
             Button apply_btn {
-                tooltip-text: _('Apply');
-                icon-name: 'object-select-symbolic';
+                tooltip-text: _("Apply");
+                icon-name: "object-select-symbolic";
                 clicked => on_apply_btn_clicked();
             }
         }
         [end] Button add_to_slideshow_btn {
-            styles ['suggested-action']
+            styles ["suggested-action"]
             visible: false;
-            icon-name: 'list-add-symbolic';
-            tooltip-text: _('Add to Slideshow');
+            icon-name: "list-add-symbolic";
+            tooltip-text: _("Add to Slideshow");
             clicked => on_add_to_slideshow();
         }
         [end] MenuButton slideshow_menu_btn {
-            icon-name: 'slideshowmode-symbolic';
+            icon-name: "slideshowmode-symbolic";
             popover: slideshow_popover;
-            tooltip-text: _('Manage Slideshow Mode');
+            tooltip-text: _("Manage Slideshow Mode");
         }
 
         Popover slideshow_popover {
@@ -73,7 +73,7 @@ template GHeaderbar : WindowHandle {
                 orientation: vertical;
                 spacing: 6;
                 ScrolledWindow {
-                    styles ['frame']
+                    styles ["frame"]
                     hscrollbar-policy: never;
                     vexpand: true;
                     ListBox slideshow_listbox {
@@ -90,7 +90,7 @@ template GHeaderbar : WindowHandle {
                         layout { row: 0; column: 0; }
                         hexpand: true;
                         xalign: 0.0;
-                        label: _('Slideshow Mode');
+                        label: _("Slideshow Mode");
                     }
                     Switch slideshow_switch {
                         layout { row: 0; column: 1; }
@@ -101,7 +101,7 @@ template GHeaderbar : WindowHandle {
                         layout { row: 1; column: 0; }
                         hexpand: true;
                         xalign: 0.0;
-                        label: _('Wallpaper duration');
+                        label: _("Wallpaper duration");
                     }
                     SpinButton slideshow_time_spinbutton {
                         layout { row: 1; column: 1; }
diff --git a/data/ui/monitors_flowbox_item.blp b/data/ui/monitors_flowbox_item.blp
index d2c4a66..138d175 100644
--- a/data/ui/monitors_flowbox_item.blp
+++ b/data/ui/monitors_flowbox_item.blp
@@ -10,10 +10,10 @@ template MonitorsFlowboxItem : FlowBoxChild {
             vexpand: true;
             Image image {}
             [overlay] MenuButton wp_mode_btn {
-                styles ['circular']
-                tooltip-text: _('Wallpaper Mode');
+                styles ["circular"]
+                tooltip-text: _("Wallpaper Mode");
                 halign: end; valign: end;
-                icon-name: 'view-more-horizontal';
+                icon-name: "view-more-horizontal";
             }
         }
         Label label {}
diff --git a/data/ui/shortcutsWindow.blp b/data/ui/shortcutsWindow.blp
index 1c81dbe..f98c104 100644
--- a/data/ui/shortcutsWindow.blp
+++ b/data/ui/shortcutsWindow.blp
@@ -3,32 +3,32 @@ using Gtk 4.0;
 ShortcutsWindow shortcuts-hydrapaper {
     ShortcutsSection {
         visible: true;
-        section-name: 'shortcuts';
+        section-name: "shortcuts";
         ShortcutsGroup {
-            title: _('General');
+            title: _("General");
             ShortcutsShortcut {
-                accelerator: '<ctrl>question';
                 title: _('Open Keyboard Shortcuts');
+                accelerator: "<ctrl>question";
             }
             ShortcutsShortcut {
-                accelerator: 'F10';
                 title: _('Open Menu');
+                accelerator: "F10";
             }
             ShortcutsShortcut {
-                accelerator: '<ctrl>f';
                 title: _('Search');
+                accelerator: "<ctrl>f";
             }
             ShortcutsShortcut {
-                accelerator: '<ctrl>comma';
                 title: _('Open Preferences');
+                accelerator: "<ctrl>comma";
             }
             ShortcutsShortcut {
-                accelerator: '<ctrl>Q';
                 title: _('Quit');
+                accelerator: "<ctrl>Q";
             }
             ShortcutsShortcut {
-                accelerator: '<ctrl><shift>R';
                 title: _('Set Random Wallpapers');
+                accelerator: "<ctrl><shift>R";
             }
         }
     }
diff --git a/data/ui/wallpaper_flowbox_item.blp b/data/ui/wallpaper_flowbox_item.blp
index 762261c..4b5a9c8 100644
--- a/data/ui/wallpaper_flowbox_item.blp
+++ b/data/ui/wallpaper_flowbox_item.blp
@@ -18,7 +18,7 @@ template WallpaperBox : FlowBoxChild {
                 visible: false;
                 halign: start; valign: center;
                 margin-start: 12;
-                resource: '/org/gabmus/hydrapaper/icons/favorite-badge.svg';
+                resource: "/org/gabmus/hydrapaper/icons/favorite-badge.svg";
             }
         }
         Label label {
diff --git a/data/ui/wallpaper_flowbox_item_popover.blp b/data/ui/wallpaper_flowbox_item_popover.blp
index c82c340..6d09ecf 100644
--- a/data/ui/wallpaper_flowbox_item_popover.blp
+++ b/data/ui/wallpaper_flowbox_item_popover.blp
@@ -8,14 +8,14 @@ template WallpaperFlowboxItemPopover : Popover {
         margin-top: 12; margin-bottom: 12;
         spacing: 6;
         Label wallpaper_name_label {
-            styles ['bigger_bold']
+            styles ["bigger_bold"]
             justify: center;
             ellipsize: end;
             single-line-mode: true;
             max-width-chars: 50;
         }
         Button favorite_btn {
-            label: _('Add Favorite');
+            label: _("Add Favorite");
             halign: center;
             clicked => on_favorite_btn_clicked();
         }
@@ -23,8 +23,8 @@ template WallpaperFlowboxItemPopover : Popover {
             orientation: horizontal;
             spacing: 6;
             Label {
-                styles ['dim-label']
-                label: _('Path:');
+                styles ["dim-label"]
+                label: _("Path:");
                 xalign: 0.0;
             }
             Entry wallpaper_path_entry {
diff --git a/data/ui/wallpapers_flowbox.blp b/data/ui/wallpapers_flowbox.blp
index 4cf69ed..8ae5f2b 100644
--- a/data/ui/wallpapers_flowbox.blp
+++ b/data/ui/wallpapers_flowbox.blp
@@ -1,11 +1,11 @@
 using Gtk 4.0;
 
 template WallpapersFlowbox : ScrolledWindow {
-    styles ['view']
+    styles ["view"]
     hscrollbar_policy: never;
     Viewport {
         FlowBox flowbox {
-            styles ['view', 'wallpapers-flowbox']
+            styles ["view", "wallpapers-flowbox"]
             valign: start; hexpand: true;
             activate-on-single-click: true;
             child-activated => on_flowbox_child_activated();
diff --git a/data/ui/wallpapers_folders_view.blp b/data/ui/wallpapers_folders_view.blp
index 27a644f..af1572d 100644
--- a/data/ui/wallpapers_folders_view.blp
+++ b/data/ui/wallpapers_folders_view.blp
@@ -1,45 +1,45 @@
 using Gtk 4.0;
 
 template WallpapersFoldersView : Box {
-    styles ['background']
+    styles ["background"]
     orientation: vertical;
     spacing: 6;
     ScrolledWindow {
         hscrollbar-policy: never;
         vexpand: true;
         ListBox listbox {
-            styles ['navigation-sidebar']
+            styles ["navigation-sidebar"]
             row-selected => on_listbox_row_selected();
         }
     }
     ActionBar {
         Box {
-            styles ['linked']
+            styles ["linked"]
             margin-top: 12; margin-bottom: 12;
             homogeneous: true;
             Button add_btn {
-                tooltip-text: _('Add Folder');
-                icon-name: 'list-add-symbolic';
+                tooltip-text: _("Add Folder");
+                icon-name: "list-add-symbolic";
                 clicked => on_add_btn_clicked();
             }
             Button del_btn {
                 sensitive: false;
-                tooltip-text: _('Remove Folder');
-                icon-name: 'user-trash-symbolic';
+                tooltip-text: _("Remove Folder");
+                icon-name: "user-trash-symbolic";
                 clicked => on_del_btn_clicked();
             }
         }
         [end] Box {
-            styles ['linked']
+            styles ["linked"]
             margin-top: 12; margin-bottom: 12;
             Button activate_all_btn {
-                tooltip-text: _('Activate All Folders');
-                icon-name: 'emblem-ok-symbolic';
+                tooltip-text: _("Activate All Folders");
+                icon-name: "emblem-ok-symbolic";
                 clicked => on_activate_all_btn_clicked();
             }
             Button deactivate_all_btn {
-                tooltip-text: _('Deactivate All Folders');
-                icon-name: 'window-close-symbolic';
+                tooltip-text: _("Deactivate All Folders");
+                icon-name: "window-close-symbolic";
                 clicked => on_deactivate_all_btn_clicked();
             }
         }
diff --git a/data/ui/wp_mode_popover_menu.blp b/data/ui/wp_mode_popover_menu.blp
index 1cf3d2d..64bfc50 100644
--- a/data/ui/wp_mode_popover_menu.blp
+++ b/data/ui/wp_mode_popover_menu.blp
@@ -4,40 +4,40 @@ template WallpaperModePopoverContent : ScrolledWindow {
     hscrollbar-policy: never; vscrollbar-policy: never;
     Stack {
         StackPage main {
-            name: 'main';
+            name: "main";
             child: Box menu_box {
                 margin-start: 6; margin-end: 6;
                 margin-top: 6; margin-bottom: 6;
                 orientation: vertical;
                 spacing: 6;
                 Label {
-                    styles ['dim-label']
+                    styles ["dim-label"]
                     xalign: 0.0;
-                    label: _('Wallpaper Mode');
+                    label: _("Wallpaper Mode");
                 }
                 CheckButton radio_zoom {
                     halign: start;
-                    label: _('Zoom');
+                    label: _("Zoom");
                     active: true;
                 }
                 CheckButton radio_fit_black {
                     halign: start;
-                    label: _('Fit (black background)');
+                    label: _("Fit (black background)");
                     group: radio_zoom;
                 }
                 CheckButton radio_fit_blur {
                     halign: start;
-                    label: _('Fit (blur)');
+                    label: _("Fit (blur)");
                     group: radio_zoom;
                 }
                 CheckButton radio_center_black {
                     halign: start;
-                    label: _('Center (black backgrond)');
+                    label: _("Center (black backgrond)");
                     group: radio_zoom;
                 }
                 CheckButton radio_center_blur {
                     halign: start;
-                    label: _('Center (blur)');
+                    label: _("Center (blur)");
                     group: radio_zoom;
                 }
             };
-- 
2.40.1


